{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 0.0, 44.0, 674.0, 677.0 ],
		"bglocked" : 0,
		"defrect" : [ 0.0, 44.0, 674.0, 677.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 11.595187,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_description",
					"text" : "The jit.bfg object evaluates and exposes a library of procedural basis functions. Each of these basis functions can be evaluated in any number of dimensions, across any coordinate, without any need of referencing existing calculations. In addition, since they all share a common interface, basis functions can be combined together and evaluated in a function graph by cross-referencing several jit.bfg objects.\nThere are several categories of functions, each of which are characterized by a different intended use. These categories include fractal, noise, filter, transfer, and distance operations. Functions contained in these folders can be passed by name to jit.bfg either fully qualified (category.classname) or relaxed (classname).\nBy default, jit.bfg will generate spatial coordinates across a grid, however, if a jit.matrix is attached to the left-most inlet, the matrix's planar values will instead be used (planar values correspond to dimensions for the coordinates e.g. RGB == XYZ). After creation, jit.bfg requires a basis to be specified before any evaluation will be performed.\n",
					"linecount" : 10,
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 10.0, 57.0, 647.0, 140.0 ],
					"numoutlets" : 0,
					"id" : "obj-46",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "loadmess 0",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 543.0, 263.0, 68.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-1",
					"fontname" : "Arial",
					"hidden" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p snoise",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 423.0, 486.5, 67.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-4",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 474.0, 44.0, 660.0, 357.0 ],
						"bglocked" : 0,
						"defrect" : [ 474.0, 44.0, 660.0, 357.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "tablesize sets the number of pseudo random values to use. larger sizes result in more apparent randomness at the cost of additional memory usage",
									"linecount" : 6,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 480.0, 137.0, 145.0, 86.0 ],
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 467.0, 94.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-2",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "tablesize $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 467.0, 119.0, 70.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-3",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 28.0, 230.0, 117.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-4",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the seed to reinit the pseudo random number generator",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 374.0, 138.0, 97.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-5",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 361.0, 95.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-6",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "seed $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 361.0, 120.0, 50.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-7",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 429.0, 254.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-8",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 46.0, 271.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-9",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "click to set the basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 103.0, 112.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-10",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "basis noise.simplex",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 11.0, 120.0, 109.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-14",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 141.0, 230.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-15",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "abs maps the output to be always positive, and is performed after sign mapping.",
									"linecount" : 5,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 259.0, 138.0, 107.0, 73.0 ],
									"numoutlets" : 0,
									"id" : "obj-16",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 251.0, 95.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-17",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "abs $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 251.0, 120.0, 43.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-18",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 126.0, 95.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-19",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "sign $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 126.0, 120.0, 46.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-20",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 11.0, 272.0, 34.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-21",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "all noise functions allow sign, abs",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 195.0, 66.0, 210.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-23",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sign maps the output to [-1, 1] for float32 + float64 matrix types",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 134.0, 138.0, 119.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-24",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "noise.simplex",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 12.0, 10.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-13",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "A coherent, smoothed, non-biased directional based pseudo random basis function.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 12.0, 38.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-22",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 7.0, 7.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-48",
									"mode" : 1
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-4", 0 ],
									"destination" : [ "obj-21", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-14", 0 ],
									"destination" : [ "obj-21", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 476.5, 209.0, 37.5, 209.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-18", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 260.5, 209.0, 37.5, 209.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 135.5, 209.0, 37.5, 209.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 370.5, 209.0, 37.5, 209.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-20", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-17", 0 ],
									"destination" : [ "obj-18", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-6", 0 ],
									"destination" : [ "obj-7", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-2", 0 ],
									"destination" : [ "obj-3", 0 ],
									"hidden" : 0
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p checker",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 423.0, 462.5, 65.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-5",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 509.0, 44.0, 656.0, 390.0 ],
						"bglocked" : 0,
						"defrect" : [ 509.0, 44.0, 656.0, 390.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the smoothing factor for filtering cells.",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 140.0, 220.0, 125.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 79.0, 220.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-2",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "smooth $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 79.0, 244.0, 63.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-3",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "tablesize sets the number of pseudo random values to use. larger sizes result in more apparent randomness at the cost of additional memory usage",
									"linecount" : 6,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 485.0, 135.0, 145.0, 86.0 ],
									"numoutlets" : 0,
									"id" : "obj-4",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 472.0, 92.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-5",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "tablesize $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 472.0, 117.0, 70.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-6",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 28.0, 279.0, 117.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-7",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the seed to reinit the pseudo random number generator",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 378.0, 136.0, 97.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-8",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 365.0, 93.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-9",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "seed $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 365.0, 118.0, 50.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-10",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 429.0, 303.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-11",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 46.0, 320.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-12",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "click to set the basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 101.0, 112.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-13",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "basis noise.checker",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 11.0, 118.0, 110.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-17",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 141.0, 279.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-18",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "abs maps the output to be always positive, and is performed after sign mapping.",
									"linecount" : 5,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 261.0, 136.0, 107.0, 73.0 ],
									"numoutlets" : 0,
									"id" : "obj-19",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 253.0, 93.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-20",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "abs $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 253.0, 118.0, 43.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-21",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 129.0, 93.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-22",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "sign $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 129.0, 118.0, 46.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-23",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 11.0, 321.0, 34.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-24",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "all noise functions allow sign, abs",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 195.0, 64.0, 210.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-26",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sign maps the output to [-1, 1] for float32 + float64 matrix types",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 137.0, 136.0, 119.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-27",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "noise.checker",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 11.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-25",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "A coherent checkerboard basis function.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 39.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-28",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 4.0, 8.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-48",
									"mode" : 1
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-17", 0 ],
									"destination" : [ "obj-24", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-24", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-10", 0 ],
									"destination" : [ "obj-7", 0 ],
									"hidden" : 0,
									"midpoints" : [ 374.5, 207.0, 37.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-23", 0 ],
									"destination" : [ "obj-7", 0 ],
									"hidden" : 0,
									"midpoints" : [ 138.5, 207.0, 37.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-21", 0 ],
									"destination" : [ "obj-7", 0 ],
									"hidden" : 0,
									"midpoints" : [ 262.5, 207.0, 37.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-6", 0 ],
									"destination" : [ "obj-7", 0 ],
									"hidden" : 0,
									"midpoints" : [ 481.5, 207.0, 37.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-7", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-2", 0 ],
									"destination" : [ "obj-3", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-22", 0 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 0 ],
									"destination" : [ "obj-21", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-10", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-5", 0 ],
									"destination" : [ "obj-6", 0 ],
									"hidden" : 0
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 436.0, 205.0, 34.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-6",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 401.0, 205.0, 34.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-7",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 366.0, 205.0, 34.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-8",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "pak rotation 0. 0. 0.",
					"fontsize" : 11.595187,
					"numinlets" : 4,
					"patching_rect" : [ 331.0, 231.0, 124.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-9",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 292.0, 205.0, 34.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-10",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 260.666687, 205.0, 34.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-11",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 229.333328, 205.0, 34.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-12",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "pak offset 0. 0. 0.",
					"fontsize" : 11.595187,
					"numinlets" : 4,
					"patching_rect" : [ 198.0, 231.0, 113.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-13",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.normalize",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 16.0, 383.0, 70.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-14",
					"fontname" : "Arial",
					"outlettype" : [ "jit_matrix", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"patching_rect" : [ 106.0, 260.0, 20.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-15",
					"outlettype" : [ "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 25.0, 260.0, 50.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-16",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "align $1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"patching_rect" : [ 25.0, 284.0, 49.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-17",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend precision",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 476.0, 331.0, 101.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-18",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "umenu",
					"fontsize" : 11.595187,
					"items" : [ "float32", ",", "float64" ],
					"types" : [  ],
					"numinlets" : 1,
					"patching_rect" : [ 477.0, 306.0, 100.0, 20.0 ],
					"numoutlets" : 3,
					"pattrmode" : 1,
					"id" : "obj-19",
					"fontname" : "Arial",
					"outlettype" : [ "int", "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 571.0, 205.0, 50.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-20",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "weight $1 $1 $1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"patching_rect" : [ 571.0, 231.0, 90.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-21",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p fractals",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 511.0, 534.5, 61.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-22",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 499.0, 44.0, 576.0, 484.0 ],
						"bglocked" : 0,
						"defrect" : [ 499.0, 44.0, 576.0, 484.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "determines the spacing or gaps between octaves",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 360.0, 201.0, 137.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "determines the fractal increment",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 216.0, 200.0, 100.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-2",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "determines number of octaves",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 96.0, 200.0, 104.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-3",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "zero offset for fractal basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 43.0, 299.0, 145.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-4",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "scales the final value",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 189.0, 299.0, 116.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-5",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sets the gain per octave for multi.ridged and multi.hybrid",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 313.0, 300.0, 126.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-6",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "toggle random rotations per octave to reduce alignment artifacts.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 437.0, 300.0, 134.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-7",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 132.0, 113.0, 81.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-8",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the basis for the fractal",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 127.0, 62.0, 145.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-9",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "noise.cell", ",", "noise.checker", ",", "noise.distorted", ",", "noise.simplex", ",", "noise.gradient", ",", "noise.voronoi", ",", "noise.value.cubicspline", ",", "noise.value.convolution", ",", "noise.sparse.convolution" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 130.0, 83.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-10",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 315.0, 246.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-11",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "gain $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 315.0, 271.0, 47.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-12",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 49.0, 246.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-13",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "level $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 49.0, 271.0, 48.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-14",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 192.0, 246.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-15",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "result $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 192.0, 271.0, 53.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-16",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 439.0, 246.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-17",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "rotate $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 439.0, 271.0, 54.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-18",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 113.0, 81.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-19",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "fractal.mono", ",", "fractal.hetero", ",", "fractal.multi", ",", "fractal.multi.hybrid", ",", "fractal.multi.ridged", ",", "fractal.turbulence" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 12.0, 83.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-20",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 98.0, 145.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-21",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "detail $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 98.0, 170.0, 52.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-22",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 363.0, 144.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-23",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "lacunarity $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 363.0, 169.0, 74.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-24",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 218.0, 145.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-25",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "roughness $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 218.0, 170.0, 79.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-26",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 27.0, 361.0, 119.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-27",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 418.0, 365.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-28",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 45.0, 394.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-29",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the fractal type",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 8.0, 62.0, 103.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-30",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 154.0, 347.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-34",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 409.0, 36.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-35",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "fractals",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 10.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-36",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "Complex cascades of arbitrary basis functions.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 38.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-37",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 5.0, 7.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-48",
									"mode" : 1
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-20", 1 ],
									"destination" : [ "obj-19", 0 ],
									"hidden" : 0,
									"midpoints" : [ 62.0, 109.0, 19.5, 109.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-27", 0 ],
									"destination" : [ "obj-35", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-35", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-14", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0,
									"midpoints" : [ 58.5, 295.0, 36.5, 295.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-16", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0,
									"midpoints" : [ 201.5, 295.0, 36.5, 295.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-12", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0,
									"midpoints" : [ 324.5, 295.0, 36.5, 295.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-18", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0,
									"midpoints" : [ 448.5, 295.0, 36.5, 295.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-22", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0,
									"midpoints" : [ 107.5, 196.0, 36.5, 196.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-26", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0,
									"midpoints" : [ 227.5, 196.0, 36.5, 196.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-24", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0,
									"midpoints" : [ 372.5, 196.0, 36.5, 196.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-8", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0,
									"midpoints" : [ 141.5, 139.0, 36.5, 139.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-13", 0 ],
									"destination" : [ "obj-14", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-21", 0 ],
									"destination" : [ "obj-22", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-10", 1 ],
									"destination" : [ "obj-8", 0 ],
									"hidden" : 0,
									"midpoints" : [ 180.0, 109.0, 141.5, 109.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-15", 0 ],
									"destination" : [ "obj-16", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-25", 0 ],
									"destination" : [ "obj-26", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-11", 0 ],
									"destination" : [ "obj-12", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-23", 0 ],
									"destination" : [ "obj-24", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-17", 0 ],
									"destination" : [ "obj-18", 0 ],
									"hidden" : 0
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p voronoi",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 511.0, 510.5, 61.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-23",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 207.0, 55.0, 630.0, 545.0 ],
						"bglocked" : 0,
						"defrect" : [ 207.0, 55.0, 630.0, 545.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "each feature point can use a weight and power exponent to modify their contribution",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 413.0, 289.0, 136.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 310.0, 355.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-2",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 259.0, 355.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-3",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 208.0, 355.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-4",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "pak exp 0. 0. 0.",
									"fontsize" : 11.595187,
									"numinlets" : 4,
									"patching_rect" : [ 185.0, 388.0, 88.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-5",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 149.0, 355.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-6",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 96.0, 355.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-7",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 44.0, 355.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-8",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "pak weight 0. 0. 0.",
									"fontsize" : 11.595187,
									"numinlets" : 4,
									"patching_rect" : [ 46.0, 388.0, 122.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-9",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sets the combination method to use for accumulating features",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 468.0, 364.0, 122.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-10",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend combiner",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 364.0, 388.0, 102.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-11",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "add", ",", "mult" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 365.0, 355.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-12",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 250.0, 296.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-13",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sets the number of features to combine",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 299.0, 290.0, 110.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-14",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend features",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 250.0, 321.0, 96.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-15",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sets the metric to use for determining the final value.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 401.0, 231.0, 111.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-16",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend metric",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 291.0, 254.0, 86.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-17",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "distance", ",", "id" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 292.0, 226.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-18",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 72.0, 297.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-19",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjusts the number of impulses per cell",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 123.0, 291.0, 110.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-20",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend density",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 72.0, 321.0, 91.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-21",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sets the distance function to evaluate between impulses",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 178.0, 232.0, 112.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-22",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend distance",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 75.0, 258.0, 97.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-23",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "distance.euclidean", ",", "distance.euclidean.squared", ",", "distance.manhattan", ",", "distance.manhattan.radial", ",", "distance.chebychev", ",", "distance.minkovsky" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 76.0, 230.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-24",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "tablesize sets the number of pseudo random values to use. larger sizes result in more apparent randomness at the cost of additional memory usage",
									"linecount" : 6,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 479.0, 133.0, 145.0, 86.0 ],
									"numoutlets" : 0,
									"id" : "obj-25",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 466.0, 90.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-26",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "tablesize $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 466.0, 115.0, 70.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-27",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 27.0, 438.0, 117.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-28",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the seed to reinit the pseudo random number generator",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 369.0, 134.0, 97.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-29",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 356.0, 91.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-30",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "seed $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 356.0, 116.0, 50.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-31",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 428.0, 450.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-32",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 44.0, 479.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-33",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "click to set the basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 8.0, 99.0, 112.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-34",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "basis noise.voronoi",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 10.0, 116.0, 108.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-38",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 148.0, 427.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-39",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "abs maps the output to be always positive, and is performed after sign mapping.",
									"linecount" : 5,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 256.0, 134.0, 107.0, 73.0 ],
									"numoutlets" : 0,
									"id" : "obj-40",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 248.0, 91.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-41",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "abs $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 248.0, 116.0, 43.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-42",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 127.0, 91.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-43",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "sign $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 127.0, 116.0, 46.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-44",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 494.0, 34.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-45",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "all noise functions allow sign, abs",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 213.0, 62.0, 210.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-47",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sign maps the output to [-1, 1] for float32 + float64 matrix types",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 135.0, 134.0, 119.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-48",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "noise.voronoi",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 9.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-46",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "A coherent, impulse based, distance defined pseudo random basis function.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 37.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-49",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 5.0, 6.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-50",
									"mode" : 1
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-38", 0 ],
									"destination" : [ "obj-45", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-28", 0 ],
									"destination" : [ "obj-45", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-31", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 365.5, 205.0, 36.5, 205.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-44", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 136.5, 205.0, 36.5, 205.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-42", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 257.5, 205.0, 36.5, 205.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-27", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 475.5, 205.0, 36.5, 205.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-21", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 81.5, 344.0, 36.5, 344.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-23", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 84.5, 287.0, 36.5, 287.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-17", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 300.5, 287.0, 36.5, 287.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-15", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 259.5, 344.0, 36.5, 344.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-11", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 373.5, 414.0, 36.5, 414.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 55.5, 414.0, 36.5, 414.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-5", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [ 194.5, 414.0, 36.5, 414.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-21", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-8", 0 ],
									"destination" : [ "obj-9", 1 ],
									"hidden" : 0,
									"midpoints" : [ 53.5, 381.0, 89.833336, 381.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-24", 1 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0,
									"midpoints" : [ 126.0, 253.0, 84.5, 253.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-9", 2 ],
									"hidden" : 0,
									"midpoints" : [ 105.5, 380.0, 124.166664, 380.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-43", 0 ],
									"destination" : [ "obj-44", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-6", 0 ],
									"destination" : [ "obj-9", 3 ],
									"hidden" : 0,
									"midpoints" : [ 158.5, 380.0, 158.5, 380.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-4", 0 ],
									"destination" : [ "obj-5", 1 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-5", 2 ],
									"hidden" : 0,
									"midpoints" : [ 268.5, 379.0, 240.5, 379.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-13", 0 ],
									"destination" : [ "obj-15", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-41", 0 ],
									"destination" : [ "obj-42", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-2", 0 ],
									"destination" : [ "obj-5", 3 ],
									"hidden" : 0,
									"midpoints" : [ 319.5, 383.0, 263.5, 383.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-18", 1 ],
									"destination" : [ "obj-17", 0 ],
									"hidden" : 0,
									"midpoints" : [ 342.0, 249.0, 300.5, 249.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-12", 1 ],
									"destination" : [ "obj-11", 0 ],
									"hidden" : 0,
									"midpoints" : [ 415.0, 381.0, 373.5, 381.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-30", 0 ],
									"destination" : [ "obj-31", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-26", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p scnoise",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 511.0, 486.5, 61.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-24",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 484.0, 44.0, 699.0, 424.0 ],
						"bglocked" : 0,
						"defrect" : [ 484.0, 44.0, 699.0, 424.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 468.0, 229.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-1",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjusts the number of impulses per cell",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 517.0, 224.0, 110.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-2",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend density",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 468.0, 255.0, 91.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-3",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "note: computationally complex!",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 7.0, 61.0, 168.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-4",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjusts the width of the filter evaluation",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 348.0, 226.0, 111.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-5",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend width",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 299.0, 256.0, 81.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-6",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 299.0, 231.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-7",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sets the filter to use for the convolution",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 185.0, 231.0, 112.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-8",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend filter",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 77.0, 257.0, 78.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-9",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "filter.bessel", ",", "filter.box", ",", "filter.catmullrom", ",", "filter.disk", ",", "filter.gaussian", ",", "filter.lanczossinc", ",", "filter.mitchell", ",", "filter.sinc", ",", "filter.triangle" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 78.0, 231.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-10",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "tablesize sets the number of pseudo random values to use. larger sizes result in more apparent randomness at the cost of additional memory usage",
									"linecount" : 6,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 538.0, 132.0, 145.0, 86.0 ],
									"numoutlets" : 0,
									"id" : "obj-11",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 525.0, 89.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-12",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "tablesize $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 525.0, 115.0, 70.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-13",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 29.0, 315.0, 119.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-14",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the seed to reinit the pseudo random number generator",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 432.0, 133.0, 97.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-15",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 419.0, 90.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-16",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "seed $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 419.0, 115.0, 50.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-17",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 430.0, 326.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-18",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 47.0, 343.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-19",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "click to set the basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 98.0, 112.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-20",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "basis noise.sparse.convolution",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 12.0, 115.0, 166.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-24",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 149.0, 302.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-25",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "abs maps the output to be always positive, and is performed after sign mapping.",
									"linecount" : 5,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 315.0, 133.0, 107.0, 73.0 ],
									"numoutlets" : 0,
									"id" : "obj-26",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 307.0, 90.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-27",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "abs $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 307.0, 115.0, 43.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-28",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 185.0, 90.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-29",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "sign $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 185.0, 115.0, 46.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-30",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 12.0, 359.0, 36.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-31",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "all noise functions allow sign, abs",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 214.0, 61.0, 210.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-33",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sign maps the output to [-1, 1] for float32 + float64 matrix types",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 193.0, 133.0, 119.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-34",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "noise.sparse.convolution",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 11.0, 9.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-32",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "A coherent, impulse based, convolution filtered pseudo random basis function.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 11.0, 37.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-35",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 6.0, 6.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-48",
									"mode" : 1
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-14", 0 ],
									"destination" : [ "obj-31", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-24", 0 ],
									"destination" : [ "obj-31", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-14", 0 ],
									"hidden" : 0,
									"midpoints" : [ 477.5, 287.0, 38.5, 287.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-6", 0 ],
									"destination" : [ "obj-14", 0 ],
									"hidden" : 0,
									"midpoints" : [ 308.5, 287.0, 38.5, 287.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-14", 0 ],
									"hidden" : 0,
									"midpoints" : [ 86.5, 287.0, 38.5, 287.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-13", 0 ],
									"destination" : [ "obj-14", 0 ],
									"hidden" : 0,
									"midpoints" : [ 534.5, 204.0, 38.5, 204.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-28", 0 ],
									"destination" : [ "obj-14", 0 ],
									"hidden" : 0,
									"midpoints" : [ 316.5, 204.0, 38.5, 204.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-30", 0 ],
									"destination" : [ "obj-14", 0 ],
									"hidden" : 0,
									"midpoints" : [ 194.5, 204.0, 38.5, 204.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-17", 0 ],
									"destination" : [ "obj-14", 0 ],
									"hidden" : 0,
									"midpoints" : [ 428.5, 204.0, 38.5, 204.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-10", 1 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 128.0, 256.0, 86.5, 256.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-29", 0 ],
									"destination" : [ "obj-30", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-27", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-6", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-16", 0 ],
									"destination" : [ "obj-17", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-1", 0 ],
									"destination" : [ "obj-3", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-12", 0 ],
									"destination" : [ "obj-13", 0 ],
									"hidden" : 0
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p vcnoise",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 511.0, 462.5, 61.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-25",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 491.0, 44.0, 678.0, 439.0 ],
						"bglocked" : 0,
						"defrect" : [ 491.0, 44.0, 678.0, 439.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjusts the width of the filter evaluation",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 350.0, 226.0, 111.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend width",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 298.0, 259.0, 81.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-2",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 298.0, 234.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-3",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sets the filter to use for the convolution",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 180.0, 234.0, 112.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-4",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend filter",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 76.0, 260.0, 78.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-5",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "filter.bessel", ",", "filter.box", ",", "filter.catmullrom", ",", "filter.disk", ",", "filter.gaussian", ",", "filter.lanczossinc", ",", "filter.mitchell", ",", "filter.sinc", ",", "filter.triangle" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 77.0, 234.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-6",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "tablesize sets the number of pseudo random values to use. larger sizes result in more apparent randomness at the cost of additional memory usage",
									"linecount" : 6,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 518.0, 135.0, 145.0, 86.0 ],
									"numoutlets" : 0,
									"id" : "obj-7",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 505.0, 92.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-8",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "tablesize $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 505.0, 117.0, 72.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-9",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 28.0, 321.0, 119.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-10",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the seed to reinit the pseudo random number generator",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 416.0, 136.0, 97.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-11",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 403.0, 93.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-12",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "seed $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 403.0, 118.0, 52.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-13",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 429.0, 329.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-14",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 46.0, 375.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-15",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "click to set the basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 101.0, 112.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-16",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "basis noise.value.convolution",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 11.0, 118.0, 161.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-20",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 150.0, 309.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-21",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "abs maps the output to be always positive, and is performed after sign mapping.",
									"linecount" : 5,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 302.0, 136.0, 107.0, 73.0 ],
									"numoutlets" : 0,
									"id" : "obj-22",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 294.0, 93.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-23",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "abs $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 294.0, 118.0, 45.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-24",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 176.0, 93.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-25",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "sign $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 176.0, 118.0, 48.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-26",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 11.0, 390.0, 36.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-27",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "all noise functions allow sign, abs",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 195.0, 64.0, 210.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-29",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sign maps the output to [-1, 1] for float32 + float64 matrix types",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 184.0, 136.0, 119.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-30",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "noise.value.convolution",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 12.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-28",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "A coherent, value based, convolution filtered pseudo random basis function.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 40.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-31",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 5.0, 9.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-48",
									"mode" : 1
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-20", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-10", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-13", 0 ],
									"destination" : [ "obj-10", 0 ],
									"hidden" : 0,
									"midpoints" : [ 412.5, 207.0, 37.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-26", 0 ],
									"destination" : [ "obj-10", 0 ],
									"hidden" : 0,
									"midpoints" : [ 185.5, 207.0, 37.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-24", 0 ],
									"destination" : [ "obj-10", 0 ],
									"hidden" : 0,
									"midpoints" : [ 303.5, 207.0, 37.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-10", 0 ],
									"hidden" : 0,
									"midpoints" : [ 514.5, 207.0, 37.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-5", 0 ],
									"destination" : [ "obj-10", 0 ],
									"hidden" : 0,
									"midpoints" : [ 85.5, 290.0, 37.5, 290.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-2", 0 ],
									"destination" : [ "obj-10", 0 ],
									"hidden" : 0,
									"midpoints" : [ 307.5, 290.0, 37.5, 290.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-6", 1 ],
									"destination" : [ "obj-5", 0 ],
									"hidden" : 0,
									"midpoints" : [ 127.0, 258.0, 85.5, 258.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-25", 0 ],
									"destination" : [ "obj-26", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-23", 0 ],
									"destination" : [ "obj-24", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-2", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-12", 0 ],
									"destination" : [ "obj-13", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-8", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p vnoise",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 511.0, 438.0, 61.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-26",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 518.0, 46.0, 660.0, 450.0 ],
						"bglocked" : 0,
						"defrect" : [ 518.0, 46.0, 660.0, 450.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sets the weighting method for the spline",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 183.0, 227.0, 117.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "bspline catmullrom",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 380.0, 274.0, 260.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-2",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "note that only the following weighting methods have start + endpoints that will align, thus producing smooth results:",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 310.0, 234.0, 303.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-3",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend mode",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 75.0, 260.0, 85.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-4",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "bezier", ",", "bspline", ",", "catmullrom", ",", "hermite", ",", "power" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 76.0, 232.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-5",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "tablesize sets the number of pseudo random values to use. larger sizes result in more apparent randomness at the cost of additional memory usage",
									"linecount" : 6,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 513.0, 135.0, 145.0, 86.0 ],
									"numoutlets" : 0,
									"id" : "obj-6",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 500.0, 92.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-7",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "tablesize $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 500.0, 117.0, 72.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-8",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 27.0, 305.0, 119.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-9",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the seed to reinit the pseudo random number generator",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 413.0, 136.0, 97.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-10",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 400.0, 93.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-11",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "seed $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 400.0, 118.0, 52.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-12",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 428.0, 329.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-13",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 45.0, 346.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-14",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "click to set the basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 8.0, 101.0, 112.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-15",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "basis noise.value.cubicspline",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 10.0, 118.0, 160.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-19",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 150.0, 292.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-20",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "abs maps the output to be always positive, and is performed after sign mapping.",
									"linecount" : 5,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 300.0, 136.0, 107.0, 73.0 ],
									"numoutlets" : 0,
									"id" : "obj-21",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 292.0, 93.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-22",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "abs $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 292.0, 118.0, 45.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-23",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 171.0, 93.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-24",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "sign $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 171.0, 118.0, 48.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-25",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 356.0, 36.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-26",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "all noise functions allow sign, abs",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 194.0, 64.0, 210.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-28",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sign maps the output to [-1, 1] for float32 + float64 matrix types",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 179.0, 136.0, 119.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-29",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "noise.value.cubicspline",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 12.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-27",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "A coherent, smoothed, value based pseudo random basis function.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 40.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-30",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 4.0, 9.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-48",
									"mode" : 1
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-26", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-26", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-4", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-8", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 509.5, 207.0, 36.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-23", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 301.5, 207.0, 36.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-25", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 180.5, 207.0, 36.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-12", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 409.5, 207.0, 36.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-5", 1 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 126.0, 255.0, 84.5, 255.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-24", 0 ],
									"destination" : [ "obj-25", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-22", 0 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-11", 0 ],
									"destination" : [ "obj-12", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-8", 0 ],
									"hidden" : 0
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p gnoise",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 423.0, 534.5, 67.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-27",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 404.0, 44.0, 687.0, 436.0 ],
						"bglocked" : 0,
						"defrect" : [ 404.0, 44.0, 687.0, 436.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sets the filter function for smoothing the gradient values. any function could be used here (even noise!) but transfer functions will give the best results",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 184.0, 233.0, 214.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "transfer.cubic -> original smoothing polynomial transfer.quintic -> improvied smoothing polynomial",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 407.0, 266.0, 267.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-2",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "for results comparable to Ken Perlin's implementation:",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 407.0, 231.0, 177.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-3",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend filter",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 76.0, 262.0, 78.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-4",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "transfer.step", ",", "transfer.smoothstep", ",", "transfer.bias", ",", "transfer.cubic", ",", "transfer.saw", ",", "transfer.quintic", ",", "transfer.gain", ",", "transfer.pulse", ",", "transfer.smoothpulse", ",", "transfer.sine", ",", "transfer.linear" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 78.0, 234.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-5",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "tablesize sets the number of pseudo random values to use. larger sizes result in more apparent randomness at the cost of additional memory usage",
									"linecount" : 6,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 488.0, 137.0, 145.0, 86.0 ],
									"numoutlets" : 0,
									"id" : "obj-6",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 475.0, 94.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-7",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "tablesize $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 475.0, 119.0, 72.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-8",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 28.0, 309.0, 119.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-9",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the seed to reinit the pseudo random number generator",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 378.0, 138.0, 97.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-10",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 365.0, 95.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-11",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "seed $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 365.0, 120.0, 52.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-12",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 407.0, 331.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-13",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 48.0, 373.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-14",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "click to set the basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 100.0, 112.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-15",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "basis noise.gradient",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 11.0, 120.0, 114.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-19",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 149.0, 300.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-20",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "abs maps the output to be always positive, and is performed after sign mapping.",
									"linecount" : 5,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 262.0, 138.0, 107.0, 73.0 ],
									"numoutlets" : 0,
									"id" : "obj-21",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 254.0, 95.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-22",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "abs $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 254.0, 120.0, 45.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-23",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 133.0, 95.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-24",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "sign $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 133.0, 120.0, 48.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-25",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 11.0, 382.0, 36.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-26",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "all noise functions allow sign, abs",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 195.0, 66.0, 210.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-28",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sign maps the output to [-1, 1] for float32 + float64 matrix types",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 141.0, 138.0, 119.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-29",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "noise.gradient",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 13.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-27",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "A coherent, smoothed, directional based pseudo random basis function.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 10.0, 41.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-30",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 5.0, 10.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-48",
									"mode" : 1
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-26", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-26", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-4", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-12", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 374.5, 209.0, 37.5, 209.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-25", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 142.5, 209.0, 37.5, 209.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-23", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 263.5, 209.0, 37.5, 209.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-8", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 484.5, 209.0, 37.5, 209.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-5", 1 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 128.0, 257.0, 85.5, 257.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-24", 0 ],
									"destination" : [ "obj-25", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-22", 0 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-11", 0 ],
									"destination" : [ "obj-12", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-8", 0 ],
									"hidden" : 0
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p cellnoise",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 423.0, 438.0, 66.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-28",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 475.0, 48.0, 654.0, 349.0 ],
						"bglocked" : 0,
						"defrect" : [ 475.0, 48.0, 654.0, 349.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "noise.cell",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 8.0, 10.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-22",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "A coherent cell/blocky pseudo random basis function.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 8.0, 38.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-25",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "tablesize sets the number of pseudo random values to use. larger sizes result in more apparent randomness at the cost of additional memory usage",
									"linecount" : 6,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 480.0, 135.0, 145.0, 86.0 ],
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 467.0, 92.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-2",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "tablesize $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 467.0, 117.0, 70.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-3",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 32.0, 221.0, 119.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-4",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "set the seed to reinit the pseudo random number generator",
									"linecount" : 4,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 371.0, 136.0, 97.0, 60.0 ],
									"numoutlets" : 0,
									"id" : "obj-5",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 358.0, 93.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-6",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "seed $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 358.0, 118.0, 50.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-7",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 433.0, 245.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-8",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 46.0, 262.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-9",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "click to set the basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 101.0, 112.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-10",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 5.0, 9.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-13",
									"mode" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "basis noise.cell",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 11.0, 118.0, 87.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-14",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 145.0, 221.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-15",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "abs maps the output to be always positive, and is performed after sign mapping.",
									"linecount" : 5,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 254.0, 136.0, 107.0, 73.0 ],
									"numoutlets" : 0,
									"id" : "obj-16",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 246.0, 93.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-17",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "abs $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 246.0, 118.0, 43.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-18",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 121.0, 93.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-19",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "sign $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 121.0, 118.0, 46.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-20",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 11.0, 263.0, 36.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-21",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "all noise functions allow sign, abs",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 195.0, 64.0, 210.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-23",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sign maps the output to [-1, 1] for float32 + float64 matrix types",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 129.0, 136.0, 119.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-24",
									"fontname" : "Arial"
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-4", 0 ],
									"destination" : [ "obj-21", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-14", 0 ],
									"destination" : [ "obj-21", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 476.5, 207.0, 41.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-18", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 255.5, 207.0, 41.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 130.5, 207.0, 41.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 367.5, 207.0, 41.5, 207.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-20", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-17", 0 ],
									"destination" : [ "obj-18", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-6", 0 ],
									"destination" : [ "obj-7", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-2", 0 ],
									"destination" : [ "obj-3", 0 ],
									"hidden" : 0
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p dnoise",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 423.0, 510.5, 67.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-29",
					"fontname" : "Arial",
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 213.0, 51.0, 634.0, 435.0 ],
						"bglocked" : 0,
						"defrect" : [ 213.0, 51.0, 634.0, 435.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 11.595187,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "select the outer basis function for distorting the domain",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 161.0, 198.0, 116.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "select the inner basis function for the evaluation",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 43.0, 199.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-2",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend outer",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 163.0, 271.0, 83.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-3",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend inner",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 43.0, 271.0, 82.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-4",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 420.0, 245.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-5",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 368.666656, 245.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-6",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"fontsize" : 11.595187,
									"triscale" : 0.9,
									"numinlets" : 1,
									"patching_rect" : [ 317.333344, 245.0, 50.0, 20.0 ],
									"numoutlets" : 2,
									"id" : "obj-7",
									"fontname" : "Arial",
									"outlettype" : [ "float", "bang" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "pak distortion 0. 0. 0.",
									"fontsize" : 11.595187,
									"numinlets" : 4,
									"patching_rect" : [ 266.0, 271.0, 173.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-8",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend setattr basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 28.0, 327.0, 117.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-9",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "adjust the scale and offsets in the parent patch",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 400.0, 317.0, 100.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-10",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "send the messages to reciever in parent patch [r bfg]",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 46.0, 368.0, 114.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-11",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "click to set the basis",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 94.0, 112.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-12",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "basis noise.distorted",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 11.0, 111.0, 114.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-16",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "setattr allows an internal object to recieve attribute messages. basis is the name of the target to send the message to.",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 148.0, 317.0, 225.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-17",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "abs maps the output to be always positive, and is performed after sign mapping.",
									"linecount" : 5,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 271.0, 129.0, 107.0, 73.0 ],
									"numoutlets" : 0,
									"id" : "obj-18",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 263.0, 86.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-19",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "abs $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 263.0, 111.0, 43.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-20",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"numinlets" : 1,
									"patching_rect" : [ 132.0, 86.0, 20.0, 20.0 ],
									"numoutlets" : 1,
									"id" : "obj-21",
									"outlettype" : [ "int" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "sign $1",
									"fontsize" : 11.595187,
									"numinlets" : 2,
									"patching_rect" : [ 132.0, 111.0, 46.0, 18.0 ],
									"numoutlets" : 1,
									"id" : "obj-22",
									"fontname" : "Arial",
									"outlettype" : [ "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "s bfg",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 11.0, 382.0, 34.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-23",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "all noise functions allow sign, abs",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 285.0, 85.0, 210.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-24",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "sign maps the output to [-1, 1] for float32 + float64 matrix types",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 140.0, 129.0, 119.0, 46.0 ],
									"numoutlets" : 0,
									"id" : "obj-25",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "scales the distortion in each dimension",
									"linecount" : 2,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 332.0, 211.0, 114.0, 33.0 ],
									"numoutlets" : 0,
									"id" : "obj-26",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "settings for noise.distorted",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"patching_rect" : [ 469.0, 245.0, 144.0, 20.0 ],
									"numoutlets" : 0,
									"id" : "obj-27",
									"fontname" : "Arial"
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "noise.cell", ",", "noise.checker", ",", "noise.distorted", ",", "noise.simplex", ",", "noise.gradient", ",", "noise.voronoi", ",", "noise.value.cubicspline", ",", "noise.value.convolution", ",", "noise.sparse.convolution" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 163.0, 245.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-28",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"fontsize" : 11.595187,
									"items" : [ "noise.cell", ",", "noise.checker", ",", "noise.distorted", ",", "noise.simplex", ",", "noise.gradient", ",", "noise.voronoi", ",", "noise.value.cubicspline", ",", "noise.value.convolution", ",", "noise.sparse.convolution" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 44.0, 245.0, 100.0, 20.0 ],
									"numoutlets" : 3,
									"pattrmode" : 1,
									"id" : "obj-29",
									"fontname" : "Arial",
									"outlettype" : [ "int", "", "" ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_title",
									"text" : "noise.distorted",
									"fontface" : 3,
									"fontsize" : 20.871338,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 9.0, 485.0, 30.0 ],
									"numoutlets" : 0,
									"id" : "obj-30",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"varname" : "autohelp_top_digest",
									"text" : "A compound distorted variable lacunarity basis function.",
									"fontsize" : 12.754706,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 37.0, 485.0, 21.0 ],
									"numoutlets" : 0,
									"id" : "obj-31",
									"fontname" : "Arial",
									"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
									"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "panel",
									"varname" : "autohelp_top_panel",
									"background" : 1,
									"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
									"numinlets" : 1,
									"patching_rect" : [ 4.0, 6.0, 495.0, 52.0 ],
									"numoutlets" : 0,
									"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
									"id" : "obj-48",
									"mode" : 1
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-16", 0 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-8", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 275.5, 307.0, 37.5, 307.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 172.5, 307.0, 37.5, 307.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-4", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 52.5, 307.0, 37.5, 307.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-22", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 141.5, 200.0, 37.5, 200.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [ 272.5, 200.0, 37.5, 200.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-29", 1 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 94.0, 268.0, 52.5, 268.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-21", 0 ],
									"destination" : [ "obj-22", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-28", 1 ],
									"destination" : [ "obj-3", 0 ],
									"hidden" : 0,
									"midpoints" : [ 213.0, 268.0, 172.5, 268.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-20", 0 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-8", 1 ],
									"hidden" : 0
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-6", 0 ],
									"destination" : [ "obj-8", 2 ],
									"hidden" : 0,
									"midpoints" : [ 378.166656, 263.0, 378.166656, 263.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-5", 0 ],
									"destination" : [ "obj-8", 3 ],
									"hidden" : 0,
									"midpoints" : [ 429.5, 263.0, 429.5, 263.0 ]
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 11.595187
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "see subpatches for more complex examples:",
					"linecount" : 2,
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 420.0, 404.0, 160.0, 33.0 ],
					"numoutlets" : 0,
					"id" : "obj-30",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "dim 128 128 1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"patching_rect" : [ 295.0, 261.0, 82.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-31",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "dim 256 256",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"patching_rect" : [ 219.0, 261.0, 72.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-32",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend basis",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 387.0, 287.0, 81.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-33",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "umenu",
					"fontsize" : 11.595187,
					"items" : [ "distance.euclidean", ",", "distance.euclidean.squared", ",", "distance.manhattan", ",", "distance.manhattan.radial", ",", "distance.chebychev", ",", "distance.minkovsky", ",", "filter.bessel", ",", "filter.box", ",", "filter.catmullrom", ",", "filter.disk", ",", "filter.gaussian", ",", "filter.lanczossinc", ",", "filter.mitchell", ",", "filter.sinc", ",", "filter.triangle", ",", "transfer.step", ",", "transfer.smoothstep", ",", "transfer.bias", ",", "transfer.cubic", ",", "transfer.saw", ",", "transfer.quintic", ",", "transfer.gain", ",", "transfer.pulse", ",", "transfer.smoothpulse", ",", "transfer.sine", ",", "transfer.linear", ",", "transfer.solarize", ",", "noise.cell", ",", "noise.checker", ",", "noise.distorted", ",", "noise.gradient", ",", "noise.simplex", ",", "noise.voronoi", ",", "noise.value.cubicspline", ",", "noise.value.convolution", ",", "noise.sparse.convolution", ",", "fractal.mono", ",", "fractal.hetero", ",", "fractal.multi", ",", "fractal.multi.hybrid", ",", "fractal.multi.ridged", ",", "fractal.turbulence" ],
					"types" : [  ],
					"numinlets" : 1,
					"patching_rect" : [ 388.0, 261.0, 138.0, 20.0 ],
					"numoutlets" : 3,
					"pattrmode" : 1,
					"id" : "obj-34",
					"fontname" : "Arial",
					"outlettype" : [ "int", "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 173.0, 205.0, 34.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-35",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 141.666672, 205.0, 34.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-36",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 110.333336, 205.0, 34.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-37",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "pak origin 0. 0. 0.",
					"fontsize" : 11.595187,
					"numinlets" : 4,
					"patching_rect" : [ 79.0, 231.0, 113.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-38",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "r bfg",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"patching_rect" : [ 84.0, 329.0, 32.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-39",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.bfg 1 float32 256 256",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 16.0, 360.0, 129.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-40",
					"fontname" : "Arial",
					"outlettype" : [ "jit_matrix", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "autocenter $1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"patching_rect" : [ 106.0, 284.0, 81.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-41",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"triscale" : 0.9,
					"numinlets" : 1,
					"patching_rect" : [ 484.0, 205.0, 50.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-42",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "scale $1 $1 $1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"patching_rect" : [ 484.0, 231.0, 84.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-43",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"patching_rect" : [ 16.0, 205.0, 20.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-44",
					"outlettype" : [ "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "qmetro 30",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"patching_rect" : [ 16.0, 231.0, 61.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-45",
					"fontname" : "Arial",
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "autohelp",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 495.0, 616.0, 55.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-50",
					"fontname" : "Arial",
					"hidden" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jit.fpsgui",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 291.0, 631.0, 80.0, 31.682453 ],
					"numoutlets" : 1,
					"id" : "obj-58",
					"fontname" : "Arial",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jit.pwindow",
					"background" : 1,
					"numinlets" : 1,
					"patching_rect" : [ 16.0, 407.0, 256.0, 256.0 ],
					"numoutlets" : 2,
					"id" : "obj-59",
					"outlettype" : [ "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "supports n-dim evaluation, simply add additional slices for higher order evaluation at the cost of additional computation.",
					"linecount" : 2,
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 135.0, 319.0, 333.0, 33.0 ],
					"numoutlets" : 0,
					"id" : "obj-60",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "2d eval",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 231.0, 279.0, 46.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-61",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "3d eval",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 310.0, 279.0, 46.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-62",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_title",
					"text" : "jit.bfg",
					"fontface" : 3,
					"fontsize" : 20.871338,
					"numinlets" : 1,
					"patching_rect" : [ 10.0, 8.0, 485.0, 30.0 ],
					"numoutlets" : 0,
					"id" : "obj-2",
					"fontname" : "Arial",
					"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
					"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_digest",
					"text" : "Evaluates a procedural basis function graph",
					"fontsize" : 12.754705,
					"numinlets" : 1,
					"patching_rect" : [ 10.0, 36.0, 485.0, 21.0 ],
					"numoutlets" : 0,
					"id" : "obj-3",
					"fontname" : "Arial",
					"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
					"frgb" : [ 0.27, 0.35, 0.47, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "textbutton",
					"varname" : "autohelp_top_ref",
					"spacing_y" : 0.0,
					"textoncolor" : [ 0.27, 0.35, 0.47, 1.0 ],
					"fontface" : 3,
					"text" : "open jit.bfg reference",
					"fontsize" : 12.754705,
					"fontlink" : 1,
					"textovercolor" : [ 0.4, 0.5, 0.65, 1.0 ],
					"presentation_rect" : [ 0.0, 0.0, 137.695679, 14.666666 ],
					"bgovercolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"patching_rect" : [ 362.304321, 22.0, 137.695679, 14.666666 ],
					"numoutlets" : 3,
					"bgoveroncolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"bordercolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"id" : "obj-47",
					"fontname" : "Arial",
					"underline" : 1,
					"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
					"spacing_x" : 0.0,
					"outlettype" : [ "int", "", "int" ],
					"bgoncolor" : [ 0.0, 0.0, 0.0, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_see_title",
					"text" : "See Also:",
					"fontface" : 1,
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"patching_rect" : [ 500.0, 620.0, 100.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-49",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "umenu",
					"varname" : "autohelp_see_menu",
					"fontsize" : 11.595187,
					"items" : [ "(Objects:)", ",", "jit.gencoord", ",", "jit.normalize", ",", "jit.matrix" ],
					"types" : [  ],
					"numinlets" : 1,
					"patching_rect" : [ 500.0, 640.0, 130.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-51",
					"fontname" : "Arial",
					"outlettype" : [ "int", "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_top_panel",
					"background" : 1,
					"grad1" : [ 0.86, 0.86, 0.75, 1.0 ],
					"numinlets" : 1,
					"patching_rect" : [ 5.0, 5.0, 495.0, 52.0 ],
					"numoutlets" : 0,
					"grad2" : [ 0.78, 0.84, 0.86, 0.7 ],
					"id" : "obj-48",
					"mode" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_see_panel",
					"border" : 2,
					"background" : 1,
					"numinlets" : 1,
					"bgcolor" : [ 0.85, 0.85, 0.85, 0.75 ],
					"patching_rect" : [ 495.0, 616.0, 140.0, 50.0 ],
					"numoutlets" : 0,
					"bordercolor" : [ 0.5, 0.5, 0.5, 0.75 ],
					"id" : "obj-52"
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-6", 0 ],
					"destination" : [ "obj-9", 3 ],
					"hidden" : 0,
					"midpoints" : [ 445.5, 220.0, 445.5, 226.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-7", 0 ],
					"destination" : [ "obj-9", 2 ],
					"hidden" : 0,
					"midpoints" : [ 410.5, 220.0, 410.5, 226.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-8", 0 ],
					"destination" : [ "obj-9", 1 ],
					"hidden" : 0,
					"midpoints" : [ 375.5, 220.0, 375.5, 226.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 0 ],
					"destination" : [ "obj-13", 3 ],
					"hidden" : 0,
					"midpoints" : [ 301.5, 220.0, 301.5, 226.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-11", 0 ],
					"destination" : [ "obj-13", 2 ],
					"hidden" : 0,
					"midpoints" : [ 270.166687, 220.0, 270.166656, 226.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-12", 0 ],
					"destination" : [ "obj-13", 1 ],
					"hidden" : 0,
					"midpoints" : [ 238.833328, 220.0, 238.833328, 226.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-45", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-44", 0 ],
					"destination" : [ "obj-45", 0 ],
					"hidden" : 0
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 0 ],
					"destination" : [ "obj-59", 0 ],
					"hidden" : 0
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-9", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 340.5, 253.0, 25.5, 253.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 34.5, 309.0, 25.5, 309.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-39", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 93.5, 355.0, 25.5, 355.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-43", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 493.5, 253.0, 25.5, 253.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-41", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 115.5, 309.0, 25.5, 309.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 396.5, 309.0, 25.5, 309.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-32", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 228.5, 309.0, 25.5, 309.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-31", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 304.5, 309.0, 25.5, 309.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 580.5, 253.0, 25.5, 253.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 485.5, 355.0, 25.5, 355.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 207.5, 309.0, 25.5, 309.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-38", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 88.5, 309.0, 25.5, 309.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-40", 0 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-59", 0 ],
					"destination" : [ "obj-58", 0 ],
					"hidden" : 0,
					"midpoints" : [ 25.5, 668.0, 282.0, 668.0, 282.0, 627.0, 300.5, 627.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-16", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-41", 0 ],
					"hidden" : 0
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-37", 0 ],
					"destination" : [ "obj-38", 1 ],
					"hidden" : 0,
					"midpoints" : [ 119.833336, 220.0, 119.833336, 226.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-36", 0 ],
					"destination" : [ "obj-38", 2 ],
					"hidden" : 0,
					"midpoints" : [ 151.166672, 220.0, 151.166672, 226.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-35", 0 ],
					"destination" : [ "obj-38", 3 ],
					"hidden" : 0,
					"midpoints" : [ 182.5, 220.0, 182.5, 226.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-34", 1 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 457.0, 284.0, 396.5, 284.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 1 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [ 527.0, 328.0, 485.5, 328.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-1", 0 ],
					"destination" : [ "obj-34", 0 ],
					"hidden" : 1,
					"midpoints" : [ 552.5, 284.0, 531.0, 284.0, 531.0, 257.0, 397.5, 257.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-42", 0 ],
					"destination" : [ "obj-43", 0 ],
					"hidden" : 0
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0
				}

			}
 ]
	}

}
